Subject: Re: Last Call: <draft-ietf-regext-bundling-registration-09.txt> (Extensible Provisioning Protocol (EPP) Domain Name Mapping Extension for Strict Bundling Registration) to Informational RFC

From: S Moonesamy <[email-masked]>
Date: Thu, 14 Mar 2019 21:48:39 -0700

Hi Jiankang,
At 03:28 PM 01-03-2019, The IESG wrote:
>The IESG has received a request from the Registration Protocols Extensions WG
>(regext) to consider the following document: - 'Extensible Provisioning
>Protocol (EPP) Domain Name Mapping Extension
>    for Strict Bundling Registration'
>   <draft-ietf-regext-bundling-registration-09.txt> as Informational RFC
>
>The IESG plans to make a decision in the next few weeks, and solicits final
>comments on this action. Please send substantive comments to the
>[email-masked] mailing lists by 2019-03-15. Exceptionally, comments may be

I would like to thank the authors/editors for taking 
internationalization into consideration for this draft.

The registration details in Section 10 for the "Extensions for the 
Extensible Provisioning Protocol (EPP)" registry mentions "IPR 
Disclosure".  If I am not mistaken, it is unusual for the protocol 
parameters registry to contain this type of information.  The "tools" 
information for draft-ietf-regext-bundling-registration-09 does not 
show the IPR disclosure which was mentioned in the Last Call 
announcement.  That information is also not available in the relevant 
registration field for the registry.  Did the designated experts for 
the registry review this registration request [1]?

The draft specifies a protocol extension.  It will be interesting to 
see how the IESG evaluates the intended status [2].

Regards,
S. Moonesamy

1. The IPR Disclosure registration request for RFC 8063 does not 
contain a URL to the relevant IPR disclosure.
2.  There isn't anything in the draft which refers to a "limited scope".

---

From: "Jiankang Yao" <[email-masked]>
Date: Fri, 15 Mar 2019 14:17:54 +0800 (GMT+08:00)

> -----原始邮件-----
> 发件人: "S Moonesamy" <[email-masked]>
> 发送时间: 2019-03-15 12:48:39 (星期五)
> 收件人: "Jiankang Yao" <[email-masked]>, [email-masked]
> 抄送: 
> 主题: Re: Last Call: <draft-ietf-regext-bundling-registration-09.txt> (Extensible Provisioning Protocol (EPP) Domain Name Mapping Extension for Strict Bundling Registration) to Informational RFC
> 
> Hi Jiankang,

Hello S. Moonesamy,
thanks for your kind review.

> the registry review this registration request [1]?

It follows the  RFC7451's section 2.2.2. Registration Form.

------------------------------------------------------------------
   The required information must be formatted consistently using the
   following registration form.  Form field names and values may appear
   on the same line.

    -----BEGIN FORM-----
    Name of Extension:
    <text string> (quotes are optional)

    Document Status: <document status>

    Reference: <RFC number, URL, etc.>

    Registrant Name and Email Address:
    <registrant name>, <email address>

    TLDs: "Any"|<one or more TLD text strings separated by commas>

    IPR Disclosure: "None"|<URL>

    Status: "Active"|"Inactive"

    Notes: "None"|<optional text>
    -----END FORM-----

--------------------------------------------------------------------------

Best Regards.
Jiankang Yao

---

From: S Moonesamy <[email-masked]>
Date: Thu, 14 Mar 2019 23:40:16 -0700

Hi Jiankang,
>It follows the  RFC7451's section 2.2.2. Registration Form.

Section 2.2.1 of RFC 7451 specifies that there should be "a pointer 
to any Intellectual Property Rights (IPR) disclosure document(s) 
related to this extension", if applicable.  Section 10 of the draft 
contains the following: https://datatracker.ietf.org/ipr/  I doubt 
that the "pointer" satisfies the registration criteria.  I suggest 
discussing the matter with the Responsible Area Director as I do not 
have any BCP 79 interest with respect to the draft.

Regards,
S. Moonesamy

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 15 Mar 2019 12:00:28 +0000

> -----Original Message-----
> From: ietf <[email-masked]> On Behalf Of S Moonesamy
> Sent: Friday, March 15, 2019 12:49 AM
> To: Jiankang Yao <[email-masked]>; [email-masked]
> Subject: [EXTERNAL] Re: Last Call: <draft-ietf-regext-bundling-registration-
> 09.txt> (Extensible Provisioning Protocol (EPP) Domain Name Mapping
> Extension for Strict Bundling Registration) to Informational RFC
>
> Hi Jiankang,
> >The IESG plans to make a decision in the next few weeks, and solicits
> >final comments on this action. Please send substantive comments to the
> I would like to thank the authors/editors for taking internationalization into
> consideration for this draft.
>
> The registration details in Section 10 for the "Extensions for the Extensible
> Provisioning Protocol (EPP)" registry mentions "IPR Disclosure".  If I am not
> mistaken, it is unusual for the protocol parameters registry to contain this
> type of information.  The "tools"
> information for draft-ietf-regext-bundling-registration-09 does not show the
> IPR disclosure which was mentioned in the Last Call announcement.  That
> information is also not available in the relevant registration field for the
> registry.  Did the designated experts for the registry review this registration
> request [1]?

The expert review request was sent yesterday. The expert (me) will complete the review in a few minutes.

Scott